/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomMimeTypeArray_H___INT_
#define __GdomMimeTypeArray_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "MimeTypeArray.h"
namespace WebCore {
    gpointer toGDOM(MimeTypeArray* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMMimeTypeArray : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_MIME_TYPE_ARRAY; }
    GDOMMimeTypeArray(PassRefPtr<WebCore::MimeTypeArray> impl);
    virtual ~GDOMMimeTypeArray();
    WebCore::MimeTypeArray* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::MimeTypeArray> m_impl;
};
G_END_DECLS

#endif /* __GdomMimeTypeArray_H___INT_*/
